FROM debian:buster

RUN apt-get update -q \
        && apt-get install -y g++ gcc git make curl zlib1g-dev libssl-dev locales \
        && apt-get autoremove -yq \
        && apt-get clean -yqq \
        && rm -rf /var/lib/apt/lists/*

RUN echo "en_US.UTF-8 UTF-8" > /etc/locale.gen
RUN locale-gen en_US.UTF-8
ENV LANG en_US.UTF-8
ENV LANGUAGE en_US:en
ENV LC_ALL en_US.UTF-8


ENV RUBY_VERSION 2.6.3
RUN curl -fsSL "https://cache.ruby-lang.org/pub/ruby/2.6/ruby-${RUBY_VERSION}.tar.gz" \
  | tar -xzC /tmp \
  && cd "/tmp/ruby-${RUBY_VERSION}" \
  && ./configure --disable-install-rdoc --disable-install-doc --disable-install-capi\
  && make \
  && make install \
  && cd / \
  && rm -rf "/tmp/ruby-${RUBY_VERSION}" \
  && gem install bundler --no-document
